From: <a href="/blend/av.cgi?id=1907">rgpage</a><BR>
Date: 19 July 2009<P>

...there i go touching things i shouldn't be, ok now i'm really back
<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 19 July 2009<P>

My first front page was<BR>
INDECISION<BR>
<a href="http://www.loveblender.com/1998may/works/indecision.html">http://www.loveblender.com/1998may/works/indecision.html</a> in 1998, but I was around as other critters reading (1996) and posting in late 1997 after a challenge by some old friends. I also wrote a bit at LitKicks at the time. I sent quite a few chat friends from Talk City to Loveblender after finding such a great, supportative community here. I found other sites being too harsh with critiques for new poets, so blender was perfect to help poets stretch and grow as such a welcoming site ...... Rennie 
<HR>
From: <a href="/blend/av.cgi?id=339">jack</a><BR>
Date: 19 July 2009<P>

i met rennie at talkcity as well ..she saw enough in me to publish some of my writings at her site and sent me here as well..my thanks most gentle lady for these ten years of being able to write..<BR>
lol and umm oh ya, it dosent matter, tremble, blue song, greysky, recluse,jackryhme, and jack lol among a few of me... i wanted to change my voice so i tried differnt names... lol ah well
<HR>
From: <a href="/blend/av.cgi?id=1159">Lilla</a><BR>
Date: 19 July 2009<P>

My first posting was February 18, 2003, my last was May 26, 2009. That was a good 6 years.  Am currently in hiatus.  I may be back, soon ... some time ... another name ... my real name.  Or may be no more.<BR>
<BR>
Loveblender will always be in my heart.<BR>
<BR>
Hats off to Kirk! ... and all the  lovely people here.
<HR>